Ledga
GET/fx/convert

Convert an amount between two currencies (calculator, posts nothing)

Convert an amount between two currencies at the current resolved rate. Posts nothing.

Parameters

NameInTypeDescription
fromrequired query string Source currency.
torequired query string Target currency.
amountrequired query string Amount in the source currency (major units).

Responses

200Successful operation
{
  "success": true,
  "data": {
    "from": "USD",
    "to": "EUR",
    "amount": "100.00",
    "converted": "92.00",
    "rate": "0.920000000000000000",
    "inverse_rate": "1.086956521739130435",
    "source": "ecb",
    "effective_at": "2026-01-15T10:30:00Z",
    "stale": false
  }
}
401Unauthenticated
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
422Validation error, or no rate available / rate stale
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}

Examples

curl https://ledga.io/api/v1/fx/convert?from=USD&to=EUR&amount=100.00 \
  -H "Authorization: Bearer sk_xxxxxxxx_your_secret"

← All endpoints